<?php

include('../common/parseargs.php');

$USAGE=" --limit=<limit>";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}

# arguments
$LIMIT=$args_array['limit'];

if (strlen($LIMIT) < 1) {
	echo "ERROR: --limit=<limit> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}


try{

	$client = new soapclient("https://$HOST:$PORT/Configuration?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->setTaskHistoryLimit(array('days'=>"$LIMIT")) ;

	echo "Successfully executed setTaskHistoryLimit\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}



?> 
